| 0.9.9 API documentation

- Main Page
- Modules
- Files

- File List

Functions
vector_common.hpp File Reference

GLM_EXT_vector_common More...

Go to the source code of this file.

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fmax (vec< L, T, Q > const &a, T b)
| Returns y if x < y; otherwise, it returns x. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fmax (vec< L, T, Q > const &a, vec< L, T, Q > const &b)
| Returns y if x < y; otherwise, it returns x. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fmax (vec< L, T, Q > const &a, vec< L, T, Q > const &b, vec< L, T, Q > const &c)
| Returns y if x < y; otherwise, it returns x. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fmax (vec< L, T, Q > const &a, vec< L, T, Q > const &b, vec< L, T, Q > const &c, vec< L, T, Q > const &d)
| Returns y if x < y; otherwise, it returns x. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fmin (vec< L, T, Q > const &x, T y)
| Returns y if y < x; otherwise, it returns x. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fmin (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Returns y if y < x; otherwise, it returns x. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fmin (vec< L, T, Q > const &a, vec< L, T, Q > const &b, vec< L, T, Q > const &c)
| Returns y if y < x; otherwise, it returns x. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fmin (vec< L, T, Q > const &a, vec< L, T, Q > const &b, vec< L, T, Q > const &c, vec< L, T, Q > const &d)
| Returns y if y < x; otherwise, it returns x. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, T, Q > | max (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, T, Q > const &z)
| Return the maximum component-wise values of 3 inputs. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, T, Q > | max (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, T, Q > const &z, vec< L, T, Q > const &w)
| Return the maximum component-wise values of 4 inputs. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, T, Q > | min (vec< L, T, Q > const &a, vec< L, T, Q > const &b, vec< L, T, Q > const &c)
| Return the minimum component-wise values of 3 inputs. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, T, Q > | min (vec< L, T, Q > const &a, vec< L, T, Q > const &b, vec< L, T, Q > const &c, vec< L, T, Q > const &d)
| Return the minimum component-wise values of 4 inputs. More...

## Detailed Description

GLM_EXT_vector_common

Definition in file vector_common.hpp.